#!/bin/sh

# The Ubisoft Game Launcher should be installed if this script returns 1

BUNDLE_PATH=$(defaults read /Library/Preferences/com.Ubisoft.Launcher LauncherBundlePath 2>/dev/null)
if [ -z "$BUNDLE_PATH" ]
then
	echo 'launcher not installed'
	exit 1
fi

VERSION_PATH=${BUNDLE_PATH}/version.txt
thisVersion=0327
installedVersion=$(cat "$VERSION_PATH" 2>/dev/null)

#remove 0-padding
thisVersion=10#$thisVersion
installedVersion=10#0$installedVersion

if (( thisVersion > installedVersion )) 
then
	echo 'installed version is older, install needed'
	exit 1
else
	echo 'installed version is more recent, no install needed'
	exit 0
fi
